<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 7.8.1: String Operations</title>
<link href="sx10g.html" rev=precedes>
<link href="sx10i.html" rel=precedes>
<link href="sx10.html" rev=subdocument>
</head>
<body>
<H2>section 7.8.1: String Operations</H2>

page 166
<p>One thing to beware of is that <TT>strcpy</TT>'s
arguments--more
precisely, the strings pointed to by its
arguments--must
not overlap.

</p><p>Another string function we've seen is <TT>strstr</TT>:
</p><p><TT>strstr(s,t)</TT>	return pointer to first <TT>t</TT> in <TT>s</TT>, or <TT>NULL</TT> if not present
</p><hr>
<p>
Read sequentially:
<a href="sx10g.html" rev=precedes>prev</a>
<a href="sx10i.html" rel=precedes>next</a>
<a href="sx10.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
